<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:animateLayoutChanges="true">
    <LinearLayout
        android:id="@+id/gallery_uploading"
        android:layout_width="match_parent"
        android:layout_height="70dp"
        android:padding="10dp"
        android:orientation="horizontal"
        android:gravity="center"
        android:background="@color/colorAccent"
        android:visibility="gone">
        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginRight="15dp"
            android:indeterminate="true"
            android:indeterminateTint="@color/white_translucent"/>
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:textColor="@color/white_translucent"
            android:text="@string/upload_galleryitem_in_progress"/>
    </LinearLayout>
    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/gallery_swiperefresh"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        xmlns:tools="http://schemas.android.com/tools"
        android:background="@color/gallery_background">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/gallery_recyclerview"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:listitem="@layout/listitem_gallery"/>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>
</LinearLayout>